local sound = require("sound")
local rock_cut = love.graphics.newImage("assets/background.png")
local bdozer_side = love.graphics.newImage("assets/bulldozer-side.png")
local big_rock_side = love.graphics.newImage("assets/big-rock-side.png")
local message = {"Drive the bulldozer. Push the big rocks.", "Press space to skip the rest of the introduction.", "Use Control Q to quit the game."}
local message_width = {}
local line_height = 50
local offset_y = ( - ((#message * line_height) / 2))
local counter = 26
local function activate(game_state)
  sound.play("starting")
  love.graphics.setFont(game_state["game-font"])
  for i = 1, #message do
    message_width[i] = (game_state["game-font"]):getWidth(message[i])
  end
  return nil
end
local function draw(game_state)
  love.graphics.draw(rock_cut)
  love.graphics.draw(bdozer_side, 300, 150)
  love.graphics.setFont(game_state["title-font"])
  love.graphics.print("B u l l d o z e r", 150, 600)
  love.graphics.setFont(game_state["game-font"])
  for i = 1, #message do
    love.graphics.print(message[i], 100, ((30 * i) + 675))
  end
  return nil
end
local function update(dt, game_state, set_state)
  counter = (counter - dt)
  if (counter <= 0) then
    return set_state("play")
  end
end
local function keypressed(key, game_state, set_state)
  if (key == "space") then
    return set_state("play")
  end
end
return {activate = activate, draw = draw, keypressed = keypressed, update = update}
