; handle sounds
;
; the engine starting
; the engine running
;

(local sounds
       {:starting (love.audio.newSource "assets/starting.ogg" "stream")
        :running  (love.audio.newSource "assets/running.ogg"  "stream") })

(fn play [name]
  (if (= name :starting)
    (: (. sounds name) :setVolume 0.50)
    (: (. sounds name) :setVolume 0.25))
  (when (= name :running)
    (: (. sounds name) :setLooping true))
  (when (and (not (: (. sounds name) :isPlaying))
             (not (love.filesystem.getInfo "mute")))
    (: (. sounds name) :play)))

(fn toggle [name]
  (if (love.filesystem.getInfo "mute")
    (do (love.filesystem.remove "mute")
      (: (. sounds (or name :temple)) :play))
    (do (love.filesystem.write "mute" "true")
      (each [_ sound (pairs sounds)]
        (: sound :pause)))))

(fn stop [name]
  (: (. sounds name) :stop))

{:play play
 :toggle toggle
 :stop stop}

