local sounds = {running = love.audio.newSource("assets/running.ogg", "stream"), starting = love.audio.newSource("assets/starting.ogg", "stream")}
local function play(name)
  if (name == "starting") then
    do end (sounds[name]):setVolume(0.5)
  else
    do end (sounds[name]):setVolume(0.25)
  end
  if (name == "running") then
    do end (sounds[name]):setLooping(true)
  end
  if (not (sounds[name]):isPlaying() and not love.filesystem.getInfo("mute")) then
    return (sounds[name]):play()
  end
end
local function toggle(name)
  if love.filesystem.getInfo("mute") then
    love.filesystem.remove("mute")
    return (sounds[(name or "temple")]):play()
  else
    love.filesystem.write("mute", "true")
    for _, sound in pairs(sounds) do
      sound:pause()
    end
    return nil
  end
end
local function stop(name)
  return (sounds[name]):stop()
end
return {play = play, stop = stop, toggle = toggle}
