local repl = require("lib.stdio")
local sound = require("sound")
local game_state = {["game-font"] = love.graphics.newFont(20), ["title-font"] = love.graphics.newFont(32), height = 800, scale = 1, version = "0.6", width = 1000}
local canvas = love.graphics.newCanvas(game_state.width, game_state.height)
local mode = {}
local function set_state(mode_name, ...)
  mode = require(mode_name)
  if mode.activate then
    return mode.activate(...)
  end
end
set_state("intro", game_state)
love.load = function()
  canvas:setFilter("nearest", "nearest")
  return repl.start()
end
love.draw = function()
  love.graphics.setCanvas(canvas)
  love.graphics.clear()
  love.graphics.setColor(1, 1, 1)
  mode.draw(game_state)
  love.graphics.setCanvas()
  love.graphics.setColor(1, 1, 1)
  return love.graphics.draw(canvas, 0, 0, 0, game_state.scale, game_state.scale)
end
love.update = function(dt)
  if mode.update then
    return mode.update(dt, game_state, set_state)
  end
end
love.quit = function()
end
love.keypressed = function(key)
  if (love.keyboard.isDown("lctrl", "rctrl") and ((key == "q") or (key == "x"))) then
    return love.event.quit()
  elseif love.keyboard.isDown("m") then
    return sound.toggle()
  elseif "else" then
    return mode.keypressed(key, game_state, set_state)
  end
end
return love.keypressed
